require 'ruby_man/GameObjects/grid_object'

module RubyMan
  # Food eatable by player
  class Food < GridObject
    def self.persistent
      true
    end

    def created
      super
      self.sprite = Sprite['gem']
      @scale = 0.5
      @depth = 1
      @game.food_created
    end

    def destroyed
      super
      ResourceManager['sfx_eat'].play
      @game.food_destroyed
    end
  end
end
