module RubyMan
  # Generic object attachable to game loop
  class GameObject
    attr_accessor :game

    def self.persistent
      false
    end

    def button_down(_key)
    end

    def draw
    end

    def update(_delta)
    end

    def destroy
      @game.destroy_object(self)
    end

    def destroyed
    end

    def created
    end
  end
end
