require 'ruby_man/GameObjects/food'

module RubyMan
  # food that makes ghosts vulnerable
  class SuperFood < Food
    def created
      super
      @scale = 1
    end

    def destroyed
      super
      @game.moving_objects.select { |obj| obj.is_a?(Ghost) }.each(&:scare)
    end
  end
end
