require 'ruby_man/GameObjects/grid_object'

module RubyMan
  # impassable wall
  class Wall < GridObject
    def initialize(type)
      super()
      self.sprite = Sprite['walls']
      @image_index = type
      @image_speed = 0
      @solid = true
    end

    def self.chars
      '+T34F/\\JL-|oAV<>'
    end

    def self.from_char(char)
      index = chars.index(char)
      return if index.nil?
      Wall.new(index)
    end
  end
end
